Questions about: gcc

I recently had the need to install a newer version of the g++ compiler on Ubuntu 12. 04 LTS. I documented the approach here
I want to make sure before I download anything unnecessary or do something stupid. Currently I'm using Code::Blocks IDE (nightly build, svn 8982), and my compiler is GCC 4. 4
First erased the current update-alternatives setup for gcc and g++: sudo update-alternatives --remove-all gcc sudo update-alternatives --remove-all g++ Install Packages It seems that both gcc-4. 3 and gcc-4. 4 are installed after install build-essent